package com.memorynotfound.spring.core.lifecycle;

import org.springframework.beans.factory.DisposableBean;
import org.springframework.beans.factory.InitializingBean;

public class BookStore implements InitializingBean, DisposableBean {

    private String name;

    @Override
    public void afterPropertiesSet() throws Exception {
        System.out.println("- - - initializing BookStore bean using initializingBean");
        System.out.println("name: " + name);
    }

    @Override
    public void destroy() throws Exception {
        System.out.println("- - - destroying BookStore bean using DisposableBean");
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
